function gjg(){}
function mjg(){}
function kjg(a){this.a=a}
function Yig(a){this.a=a}
function $ig(a){this.a=a}
function fjg(a,b){x_f(a.a,b)}
function Cjg(a){var b;if(!a.d){b=new gjg;a.d=b}return a.d}
function ijg(){jpe.call(this,b_j,'Persistence Inheritance')}
function Tig(a){var b;b=SBh(a.b.a,Svf(),sM(B1c,qyj,1,[]));H8i(y8i(b,oHj),i0j);uoj(new Nnj(b),new Yig(a))}
function Vig(a,b,d,e){CGd.call(this,a,b,d);this.c=e;this.b=new $0i(OLb,(bCh(),YBh).Nc(OLb),aCh.Nc(OLb));this.a=new n1i(OLb)}
function Bjg(a){var b;if(!a.c){b=new Vig(MFd(Jce(a.a)),Cjg(a),Ajg(a),(Yoj(pee(a.a)),PMg(Dde(a.a))),_1i(nee(a.a)));YFd((Kce(a.a),b),VGd(Kce(a.a)));a.c=b}return a.c}
function Uig(a,b){var d;d=c1i(a.a,b,SBh(a.b.a,Svf(),sM(B1c,qyj,1,[])),sM(u2c,iyj,280,[]));if(b.Kc(lNj)&&Ch(b.Nc(lNj),OAj)){b.Qc(lNj);N8i(y8i(d,mNj),(Rmj(),Qmj))}uoj(new Nnj(d),new $ig(a))}
function Xig(a,b){var d,e;e=ooj(b);if(e.b.kN(LHj)&&y8i(e,LHj).b.b!=(Rmj(),Qmj)&&!QPd(y8i(e,LHj).b.cf(),MHj)){QYd(n0j+(LYd(),'Loading JPA Subsystem'))}else{d=d1i(a.a.a,y8i(e,xHj).b.dN());fjg(a.a.A,d)}}
K3c(3571,1013,pzj,Vig);_.Ui=function(){this.A.b=this};_.Zi=function(){Tig(this)};_.bj=function(){Vvf(this.c,this)};K3c(3572,1300,{},Yig);_.fh=function(a){Xig(this,a)};K3c(3573,1300,{},$ig);_.fh=function(a){var b;b=ooj(a);b.b.kN(LHj)&&y8i(b,LHj).b.b!=(Rmj(),Qmj)&&!QPd(y8i(b,LHj).b.cf(),MHj)?RYd(s1j+(LYd(),Mdk),A8i(b)):SYd(t1j+(LYd(),Mdk));Tig(this.a)};K3c(3576,1417,ozj,gjg);_.Ch=function(){var a,b,d,e,g,i;this.a=new E_f(OLb);a=new kie(lNj,Ndk,false);g=new ijg;ipe(g,sM(B1c,qyj,1,['DEEP','SHALLOW']));I1d(this.a,BHj,sM(s2c,Zzj,261,[a,g]));G1d(this.a,false);d=new G1i(this.a,new kjg(this));e=new X2e(new mjg,this.a);b=cCe(eCe(dCe(new gCe,this.a),e));i=ICe(NCe(MCe(JCe(KCe(PCe(new QCe,Q2j),Mdk),(LYd(),'The configuration of the JPA subsystem.')),d3j,b),E1i(d)));return i};K3c(3577,1677,dAj,ijg);_.ck=function(){return false};K3c(3578,1,{},kjg);_.Hk=function(a){Uig(this.a.b,(this.a.a.c,a))};K3c(3579,1,{},mjg);_.cl=function(){var a;a=Svf();I8i(m8i(a),FIj,jGj);return a};K3c(3585,1,Xzj);_.ud=function(){uHd(this.b,Bjg(this.a.a))};var GLb=sOd(3571),CLb=sOd(3572),DLb=sOd(3573),KLb=sOd(3576),HLb=sOd(3577),ILb=sOd(3578),JLb=sOd(3579);JAj(np)(55);